org.wildfly.swarm.config.security.security_domain

## Class ClassicAuthorization<T extends ClassicAuthorization<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.security_domain.ClassicAuthorization<T>

-     public class ClassicAuthorization<T extends ClassicAuthorization<T>>
      extends Object

  Authorization configuration. Configures a list of authorization policy modules to be used.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassicAuthorization.ClassicAuthorizationResources` Child mutators for ClassicAuthorization

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicAuthorization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `policyModule(PolicyModule value)` Add the PolicyModule object to the list of subresources
    `T` | `policyModule(PolicyModuleSupplier supplier)` Install a supplied PolicyModule object to the list of subresources
    `T` | `policyModule(String childKey)` Create and configure a PolicyModule object to the list of subresources
    `T` | `policyModule(String childKey, PolicyModuleConsumer consumer)` Create and configure a PolicyModule object to the list of subresources
    `T` | `policyModules(List<PolicyModule> value)` Add all PolicyModule objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ClassicAuthorization.ClassicAuthorizationResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassicAuthorization

          public ClassicAuthorization()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ClassicAuthorization.ClassicAuthorizationResources subresources()

    - #### policyModules

          public T policyModules(List<PolicyModule> value)

      Add all PolicyModule objects to this subresource
      Parameters:
        `value` - List of PolicyModule objects.
      Returns:
        this

    - #### policyModule

          public T policyModule(PolicyModule value)

      Add the PolicyModule object to the list of subresources
      Parameters:
        `value` - The PolicyModule to add
      Returns:
        this

    - #### policyModule

          public T policyModule(String childKey,
                                PolicyModuleConsumer consumer)

      Create and configure a PolicyModule object to the list of subresources
      Parameters:
        `key` - The key for the PolicyModule resource
        `config` - The PolicyModuleConsumer to use
      Returns:
        this

    - #### policyModule

          public T policyModule(String childKey)

      Create and configure a PolicyModule object to the list of subresources
      Parameters:
        `key` - The key for the PolicyModule resource
      Returns:
        this

    - #### policyModule

          public T policyModule(PolicyModuleSupplier supplier)

      Install a supplied PolicyModule object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.